/* $Header: /Patriot/sqlwin/GTIDEV/GTIINC/cracker.h 2     6/18/96 7:25p Dking $ */
/*
 * cracker.h - Message cracker file to be included for Gupta applications
 */

#ifndef _INC_CRACKER
#define _INC_CRACKER

#include <windowsx.h>

#if WIN32
#include "crack32.h"
#elif WIN16
#include "crack16.h"
#else
#error
#endif

#if defined(unix)
/* Redefine some cracker macros - Use more efficient functions 
 * Could be redefined for all platforms, as the Gtixx() funcs are inline
 * anyway, so no performance hit.
 */
#undef GetWindowOwner
#undef GetFirstSibling
#undef GetLastSibling
#undef GetNextSibling
#undef GetPrevSibling

#define GetWindowOwner(hwnd)    GtiGetWindow(hwnd, GW_OWNER)

#define GetFirstSibling(hwnd)   GtiGetWindow(hwnd, GW_HWNDFIRST)
#define GetLastSibling(hwnd)    GtiGetWindow(hwnd, GW_HWNDLAST)
#define GetNextSibling(hwnd)    GtiGetWindow(hwnd, GW_HWNDNEXT)
#define GetPrevSibling(hwnd)    GtiGetWindow(hwnd, GW_HWNDPREV)

#endif /* unix */

#endif				/* _INC_CRACKER */

/*
 * $History: cracker.h $
 * 
 * *****************  Version 2  *****************
 * User: Dking        Date: 6/18/96    Time: 7:25p
 * Branched in $/Patriot/sqlwin/GTIDEV/GTIINC
 * Stinger project branched for Patriot
 * 
 * *****************  Version 3  *****************
 * User: Twiseman     Date: 4/15/95    Time: 5:51p
 * Updated in $/SQLWIN/GTIDEV/GTIINC
 * Added Gti wrappers for XWindows performance
 * 
 * *****************  Version 2  *****************
 * User: Tmcparla     Date: 2/06/95    Time: 4:15p
 * Updated in $/SQLWIN/GTIDEV/GTIINC
 *
 */
