/* $Header: /Patriot/sqlwin/GTIDEV/GTIINC/nojunk.h 2     6/18/96 7:26p Dking $ */
/*  NoJunk.h - #define's a bunch of symbols to cut WINDOWS.H down to size.
 *  To include one of the areas, put an #undef after the #include "nojunk.h".
 */


#define NOATOM			/* Atom Manager routines */
#define NOBITMAP		/* Bitmap stuff */
#define NOBRUSH			/* typedef HBRUSH and associated routines */
#define NOCLIPBOARD		/* clipboard routines */
#define NOCOLOR			/* CTLCOLOR_*, COLOR_* */
#define NOCOMM			/* COMM driver routines */
#define NOCREATESTRUCT		/* typedef CREATESTRUCT */
#define NODRAWFRAME		/* DrawFrame() and DF_* */
#define NODRAWTEXT		/* DrawText() and DT_* */
#define NOFONT			/* typedef FONT and associated routines */
#define NOGDICAPMASKS		/* CC_*, LC_*, PC_*, CP_*, TC_*, RC_ */
#define NOHDC			/* typedef HDC and associated routines */
#define NOICON			/* IDI_* */
#define NOKANJI			/* Kanji support stuff. */
#define NOKEYSTATE		/* MK_* */
#define NOMENUS			/* MF_*, HMENU and associated routines */
#define NOMETAFILE		/* typedef METAFILEPICT */
#define NOMINMAX		/* Macros min(a,b) and max(a,b) */
#define NONCMESSAGES		/* WM_NC* and HT* */
#define NOPEN			/* typedef HPEN and associated routines */
#define NORASTEROPS		/* binary and tertiary raster ops */
#define NOREGION		/* typedef HRGN and associated routines */
#define NORESOURCE		/* Predefined resource types:  RT_* */
#define NOSCROLL		/* SB_* and scrolling routines */
#define NOSHOWWINDOW		/* SHOW_* and HIDE_* */
#define NOSOUND			/* Sound driver routines */
#define NOSYSCOMMANDS		/* SC_* */
#define NOSYSMETRICS		/* SM_*, GetSystemMetrics */
#define NOTEXTMETRIC		/* typedef TEXTMETRIC and associated routines */
#define NOVIRTUALKEYCODES	/* VK_* */
#define NOWH			/* SetWindowsHook and WH_* */
#define NOWINOFFSETS		/* GWL_*, GCL_*, associated routines */
#define NOWINSTYLES		/* WS_*, CS_*, ES_*, LBS_* */
#define NOWNDCLASS		/* typedef WNDCLASS and associated routines */

/*
 * $History: nojunk.h $
 * 
 * *****************  Version 2  *****************
 * User: Dking        Date: 6/18/96    Time: 7:26p
 * Branched in $/Patriot/sqlwin/GTIDEV/GTIINC
 * Stinger project branched for Patriot
 * 
 * *****************  Version 3  *****************
 * User: Tmcparla     Date: 3/06/95    Time: 11:28a
 * Updated in $/SQLWIN/GTIDEV/GTIINC
 * Removed warnings.
 * 
 * *****************  Version 2  *****************
 * User: Tmcparla     Date: 2/06/95    Time: 4:17p
 * Updated in $/SQLWIN/GTIDEV/GTIINC
 *
 */
